Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Interface UserItemsProvider

All Known Implementing Classes:
  IQDiscoItemsHandler, IQPEPHandler

    public interface UserItemsProvider

A `UserItemsProvider` is responsible for providing the items associated with a user that are to be discovered during a disco#items query sent to the user.

Examples of when a `UserItemsProvider` is used include:

- For discovering PEP items of a user.
- For discovering available resources of a user.

Author:
  Armando Jagucki

Method Summary
`Iterator<org.dom4j.Element>` | `getUserItems(String name, JID senderJID)` Returns an Iterator (of Element) with the target entity's items or null if none.

Method Detail

### getUserItems

    Iterator<org.dom4j.Element> getUserItems(String name,
                                             JID senderJID)

  Returns an Iterator (of Element) with the target entity's items or null if none. Each Element must include a JID attribute and may include the name and node attributes of the entity. In case that the sender of the disco request is not authorized to discover items an UnauthorizedException will be thrown.

  Parameters:
    `name` - the recipient JID's name.
    `senderJID` - the XMPPAddress of user that sent the disco items request.
  Returns:
    an Iterator (of Element) with the target entity's items or null if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.